<%= tag.turbo_frame id: "tidbit-form", autoscroll: true do %>
  <div class="fixed bottom-0 left-0 right-0 z-50 bg-white border-dotted border-t-4" role="dialog" aria-modal="true">
    <div class="mx-4 md:mx-12">
      <%= tag.h2 "Editing `#{@tidbit.key}`" %>
  
      <%= form_for @tidbit, data: { turbo_frame: dom_id(@tidbit) } do |f| %>
        <% if @plain %>
          <%= f.rich_text_area :body, data: { trix_config: "minimal" } %>
        <% else %>
          <%= f.rich_text_area :body, data: { trix_config: "full" } %>
        <% end %>

        <%= hidden_field_tag "plain", params[:plain] %>

        <div class="flex flex-wrap items-center align-middle mt-2 mb-6">
          <%= link_to 'Cancel', tidbit_path(@tidbit), class: "underline mr-2 text-sm text-red-500 hover:text-red-700 transition" %>
          <%= f.submit "Preview", class: "block md:inline-flex items-center justify-center px-4 py-2 mr-2 border border-gray-300 shadow-sm text-sm rounded-full text-link_primary hover:text-link_primary bg-white hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-link_primary transition" %>
          <%= f.submit "Save", class: "block md:inline-flex items-center justify-center px-4 py-2 mr-2 border border-gray-300 shadow-sm text-sm rounded-full text-white bg-link_primary hover:bg-link_hover focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-link_primary transition" %>
          <%= tag.span @error, class: "text-sm mr-2 text-red-500" %>
        </div>
      <% end %>
    </div>
  </div>
<% end %>
